Dirac Video Codec

# Dirac - A Video Codec

Created by the British Broadcasting Corporation.

# dirac::BiBlockEighthPel Class Reference

A class for computing a bidirection difference for eighth-pel vectors.

`#include <me_utils.h>`

Inheritance diagram for dirac::BiBlockEighthPel:
[legend]
Collaboration diagram for dirac::BiBlockEighthPel:
[legend]

List of all members.

## Public Member Functions

- BiBlockEighthPel (const PicArray &ref1, const PicArray &ref2, const PicArray &pic)
    Constructor, initialising the references and picture data.
- float Diff (const BlockDiffParams &dparams, const MVector &mv1, const MVector &mv2)
    Do the difference, returning SAD.

## Private Member Functions

- BiBlockEighthPel (const BiBlockEighthPel &cpy)
    Private, bodyless copy-constructor: class should not be copied.
- BiBlockEighthPel & operator= (const BiBlockEighthPel &rhs)
    Private, bodyless assignment=: class should not be assigned.

## Constructor & Destructor Documentation

dirac::BiBlockEighthPel::BiBlockEighthPel | ( | const PicArray & | ref1,
|  | const PicArray & | ref2,
|  | const PicArray & | pic |
| ) |  |  |

dirac::BiBlockEighthPel::BiBlockEighthPel | ( | const BiBlockEighthPel & | cpy | ) | `[private]`

## Member Function Documentation

float dirac::BiBlockEighthPel::Diff | ( | const BlockDiffParams & | dparams,
|  | const MVector & | mv1,
|  | const MVector & | mv2 |
| ) |  |  | `[virtual]`

Do the difference, returning SAD

Parameters:

  | dparams | block parameters
  | mv1 | the motion vector being used for reference 1
  | mv2 | the motion vector being used for reference 2

Implements dirac::BiBlockDiff.

BiBlockEighthPel& dirac::BiBlockEighthPel::operator= | ( | const BiBlockEighthPel & | rhs | ) | `[private]`

The documentation for this class was generated from the following file:

- me_utils.h

© 2004 British Broadcasting Corporation. Dirac code licensed under the Mozilla Public License (MPL) Version 1.1.
HTML documentation generated by Dimitri van Heesch's excellent Doxygen tool.